package operationalinsights

// Copyright (c) Microsoft and contributors.  All rights reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//
// See the License for the specific language governing permissions and
// limitations under the License.
//
// Code generated by Microsoft (R) AutoRest Code Generator.
// Changes may cause incorrect behavior and will be lost if the code is regenerated.

// ClusterEntityStatus enumerates the values for cluster entity status.
type ClusterEntityStatus string

const (
	// Canceled ...
	Canceled ClusterEntityStatus = "Canceled"
	// Creating ...
	Creating ClusterEntityStatus = "Creating"
	// Deleting ...
	Deleting ClusterEntityStatus = "Deleting"
	// Failed ...
	Failed ClusterEntityStatus = "Failed"
	// ProvisioningAccount ...
	ProvisioningAccount ClusterEntityStatus = "ProvisioningAccount"
	// Succeeded ...
	Succeeded ClusterEntityStatus = "Succeeded"
	// Updating ...
	Updating ClusterEntityStatus = "Updating"
)

// PossibleClusterEntityStatusValues returns an array of possible values for the ClusterEntityStatus const type.
func PossibleClusterEntityStatusValues() []ClusterEntityStatus {
	return []ClusterEntityStatus{Canceled, Creating, Deleting, Failed, ProvisioningAccount, Succeeded, Updating}
}

// ClusterSkuNameEnum enumerates the values for cluster sku name enum.
type ClusterSkuNameEnum string

const (
	// CapacityReservation ...
	CapacityReservation ClusterSkuNameEnum = "CapacityReservation"
)

// PossibleClusterSkuNameEnumValues returns an array of possible values for the ClusterSkuNameEnum const type.
func PossibleClusterSkuNameEnumValues() []ClusterSkuNameEnum {
	return []ClusterSkuNameEnum{CapacityReservation}
}

// DataIngestionStatus enumerates the values for data ingestion status.
type DataIngestionStatus string

const (
	// ApproachingQuota 80% of daily cap quota reached.
	ApproachingQuota DataIngestionStatus = "ApproachingQuota"
	// ForceOff Ingestion stopped following service setting change.
	ForceOff DataIngestionStatus = "ForceOff"
	// ForceOn Ingestion started following service setting change.
	ForceOn DataIngestionStatus = "ForceOn"
	// OverQuota Reached daily cap quota, ingestion stopped.
	OverQuota DataIngestionStatus = "OverQuota"
	// RespectQuota Ingestion enabled following daily cap quota reset, or subscription enablement.
	RespectQuota DataIngestionStatus = "RespectQuota"
	// SubscriptionSuspended Ingestion stopped following suspended subscription.
	SubscriptionSuspended DataIngestionStatus = "SubscriptionSuspended"
)

// PossibleDataIngestionStatusValues returns an array of possible values for the DataIngestionStatus const type.
func PossibleDataIngestionStatusValues() []DataIngestionStatus {
	return []DataIngestionStatus{ApproachingQuota, ForceOff, ForceOn, OverQuota, RespectQuota, SubscriptionSuspended}
}

// DataSourceKind enumerates the values for data source kind.
type DataSourceKind string

const (
	// ApplicationInsights ...
	ApplicationInsights DataSourceKind = "ApplicationInsights"
	// AzureActivityLog ...
	AzureActivityLog DataSourceKind = "AzureActivityLog"
	// AzureAuditLog ...
	AzureAuditLog DataSourceKind = "AzureAuditLog"
	// ChangeTrackingContentLocation ...
	ChangeTrackingContentLocation DataSourceKind = "ChangeTrackingContentLocation"
	// ChangeTrackingCustomPath ...
	ChangeTrackingCustomPath DataSourceKind = "ChangeTrackingCustomPath"
	// ChangeTrackingDataTypeConfiguration ...
	ChangeTrackingDataTypeConfiguration DataSourceKind = "ChangeTrackingDataTypeConfiguration"
	// ChangeTrackingDefaultRegistry ...
	ChangeTrackingDefaultRegistry DataSourceKind = "ChangeTrackingDefaultRegistry"
	// ChangeTrackingLinuxPath ...
	ChangeTrackingLinuxPath DataSourceKind = "ChangeTrackingLinuxPath"
	// ChangeTrackingPath ...
	ChangeTrackingPath DataSourceKind = "ChangeTrackingPath"
	// ChangeTrackingRegistry ...
	ChangeTrackingRegistry DataSourceKind = "ChangeTrackingRegistry"
	// ChangeTrackingServices ...
	ChangeTrackingServices DataSourceKind = "ChangeTrackingServices"
	// CustomLog ...
	CustomLog DataSourceKind = "CustomLog"
	// CustomLogCollection ...
	CustomLogCollection DataSourceKind = "CustomLogCollection"
	// DNSAnalytics ...
	DNSAnalytics DataSourceKind = "DnsAnalytics"
	// GenericDataSource ...
	GenericDataSource DataSourceKind = "GenericDataSource"
	// IISLogs ...
	IISLogs DataSourceKind = "IISLogs"
	// ImportComputerGroup ...
	ImportComputerGroup DataSourceKind = "ImportComputerGroup"
	// Itsm ...
	Itsm DataSourceKind = "Itsm"
	// LinuxChangeTrackingPath ...
	LinuxChangeTrackingPath DataSourceKind = "LinuxChangeTrackingPath"
	// LinuxPerformanceCollection ...
	LinuxPerformanceCollection DataSourceKind = "LinuxPerformanceCollection"
	// LinuxPerformanceObject ...
	LinuxPerformanceObject DataSourceKind = "LinuxPerformanceObject"
	// LinuxSyslog ...
	LinuxSyslog DataSourceKind = "LinuxSyslog"
	// LinuxSyslogCollection ...
	LinuxSyslogCollection DataSourceKind = "LinuxSyslogCollection"
	// NetworkMonitoring ...
	NetworkMonitoring DataSourceKind = "NetworkMonitoring"
	// Office365 ...
	Office365 DataSourceKind = "Office365"
	// SecurityCenterSecurityWindowsBaselineConfiguration ...
	SecurityCenterSecurityWindowsBaselineConfiguration DataSourceKind = "SecurityCenterSecurityWindowsBaselineConfiguration"
	// SecurityEventCollectionConfiguration ...
	SecurityEventCollectionConfiguration DataSourceKind = "SecurityEventCollectionConfiguration"
	// SecurityInsightsSecurityEventCollectionConfiguration ...
	SecurityInsightsSecurityEventCollectionConfiguration DataSourceKind = "SecurityInsightsSecurityEventCollectionConfiguration"
	// SecurityWindowsBaselineConfiguration ...
	SecurityWindowsBaselineConfiguration DataSourceKind = "SecurityWindowsBaselineConfiguration"
	// SQLDataClassification ...
	SQLDataClassification DataSourceKind = "SqlDataClassification"
	// WindowsEvent ...
	WindowsEvent DataSourceKind = "WindowsEvent"
	// WindowsPerformanceCounter ...
	WindowsPerformanceCounter DataSourceKind = "WindowsPerformanceCounter"
	// WindowsTelemetry ...
	WindowsTelemetry DataSourceKind = "WindowsTelemetry"
)

// PossibleDataSourceKindValues returns an array of possible values for the DataSourceKind const type.
func PossibleDataSourceKindValues() []DataSourceKind {
	return []DataSourceKind{ApplicationInsights, AzureActivityLog, AzureAuditLog, ChangeTrackingContentLocation, ChangeTrackingCustomPath, ChangeTrackingDataTypeConfiguration, ChangeTrackingDefaultRegistry, ChangeTrackingLinuxPath, ChangeTrackingPath, ChangeTrackingRegistry, ChangeTrackingServices, CustomLog, CustomLogCollection, DNSAnalytics, GenericDataSource, IISLogs, ImportComputerGroup, Itsm, LinuxChangeTrackingPath, LinuxPerformanceCollection, LinuxPerformanceObject, LinuxSyslog, LinuxSyslogCollection, NetworkMonitoring, Office365, SecurityCenterSecurityWindowsBaselineConfiguration, SecurityEventCollectionConfiguration, SecurityInsightsSecurityEventCollectionConfiguration, SecurityWindowsBaselineConfiguration, SQLDataClassification, WindowsEvent, WindowsPerformanceCounter, WindowsTelemetry}
}

// DataSourceType enumerates the values for data source type.
type DataSourceType string

const (
	// Alerts ...
	Alerts DataSourceType = "Alerts"
	// AzureWatson ...
	AzureWatson DataSourceType = "AzureWatson"
	// CustomLogs ...
	CustomLogs DataSourceType = "CustomLogs"
	// Query ...
	Query DataSourceType = "Query"
)

// PossibleDataSourceTypeValues returns an array of possible values for the DataSourceType const type.
func PossibleDataSourceTypeValues() []DataSourceType {
	return []DataSourceType{Alerts, AzureWatson, CustomLogs, Query}
}

// IdentityType enumerates the values for identity type.
type IdentityType string

const (
	// None ...
	None IdentityType = "None"
	// SystemAssigned ...
	SystemAssigned IdentityType = "SystemAssigned"
)

// PossibleIdentityTypeValues returns an array of possible values for the IdentityType const type.
func PossibleIdentityTypeValues() []IdentityType {
	return []IdentityType{None, SystemAssigned}
}

// LinkedServiceEntityStatus enumerates the values for linked service entity status.
type LinkedServiceEntityStatus string

const (
	// LinkedServiceEntityStatusDeleting ...
	LinkedServiceEntityStatusDeleting LinkedServiceEntityStatus = "Deleting"
	// LinkedServiceEntityStatusProvisioningAccount ...
	LinkedServiceEntityStatusProvisioningAccount LinkedServiceEntityStatus = "ProvisioningAccount"
	// LinkedServiceEntityStatusSucceeded ...
	LinkedServiceEntityStatusSucceeded LinkedServiceEntityStatus = "Succeeded"
	// LinkedServiceEntityStatusUpdating ...
	LinkedServiceEntityStatusUpdating LinkedServiceEntityStatus = "Updating"
)

// PossibleLinkedServiceEntityStatusValues returns an array of possible values for the LinkedServiceEntityStatus const type.
func PossibleLinkedServiceEntityStatusValues() []LinkedServiceEntityStatus {
	return []LinkedServiceEntityStatus{LinkedServiceEntityStatusDeleting, LinkedServiceEntityStatusProvisioningAccount, LinkedServiceEntityStatusSucceeded, LinkedServiceEntityStatusUpdating}
}

// PublicNetworkAccessType enumerates the values for public network access type.
type PublicNetworkAccessType string

const (
	// Disabled Disables public connectivity to Log Analytics through public DNS.
	Disabled PublicNetworkAccessType = "Disabled"
	// Enabled Enables connectivity to Log Analytics through public DNS.
	Enabled PublicNetworkAccessType = "Enabled"
)

// PossiblePublicNetworkAccessTypeValues returns an array of possible values for the PublicNetworkAccessType const type.
func PossiblePublicNetworkAccessTypeValues() []PublicNetworkAccessType {
	return []PublicNetworkAccessType{Disabled, Enabled}
}

// PurgeState enumerates the values for purge state.
type PurgeState string

const (
	// Completed ...
	Completed PurgeState = "completed"
	// Pending ...
	Pending PurgeState = "pending"
)

// PossiblePurgeStateValues returns an array of possible values for the PurgeState const type.
func PossiblePurgeStateValues() []PurgeState {
	return []PurgeState{Completed, Pending}
}

// SearchSortEnum enumerates the values for search sort enum.
type SearchSortEnum string

const (
	// Asc ...
	Asc SearchSortEnum = "asc"
	// Desc ...
	Desc SearchSortEnum = "desc"
)

// PossibleSearchSortEnumValues returns an array of possible values for the SearchSortEnum const type.
func PossibleSearchSortEnumValues() []SearchSortEnum {
	return []SearchSortEnum{Asc, Desc}
}

// SkuNameEnum enumerates the values for sku name enum.
type SkuNameEnum string

const (
	// SkuNameEnumCapacityReservation ...
	SkuNameEnumCapacityReservation SkuNameEnum = "CapacityReservation"
	// SkuNameEnumFree ...
	SkuNameEnumFree SkuNameEnum = "Free"
	// SkuNameEnumPerGB2018 ...
	SkuNameEnumPerGB2018 SkuNameEnum = "PerGB2018"
	// SkuNameEnumPerNode ...
	SkuNameEnumPerNode SkuNameEnum = "PerNode"
	// SkuNameEnumPremium ...
	SkuNameEnumPremium SkuNameEnum = "Premium"
	// SkuNameEnumStandalone ...
	SkuNameEnumStandalone SkuNameEnum = "Standalone"
	// SkuNameEnumStandard ...
	SkuNameEnumStandard SkuNameEnum = "Standard"
)

// PossibleSkuNameEnumValues returns an array of possible values for the SkuNameEnum const type.
func PossibleSkuNameEnumValues() []SkuNameEnum {
	return []SkuNameEnum{SkuNameEnumCapacityReservation, SkuNameEnumFree, SkuNameEnumPerGB2018, SkuNameEnumPerNode, SkuNameEnumPremium, SkuNameEnumStandalone, SkuNameEnumStandard}
}

// StorageInsightState enumerates the values for storage insight state.
type StorageInsightState string

const (
	// ERROR ...
	ERROR StorageInsightState = "ERROR"
	// OK ...
	OK StorageInsightState = "OK"
)

// PossibleStorageInsightStateValues returns an array of possible values for the StorageInsightState const type.
func PossibleStorageInsightStateValues() []StorageInsightState {
	return []StorageInsightState{ERROR, OK}
}

// Type enumerates the values for type.
type Type string

const (
	// TypeEventHub ...
	TypeEventHub Type = "EventHub"
	// TypeStorageAccount ...
	TypeStorageAccount Type = "StorageAccount"
)

// PossibleTypeValues returns an array of possible values for the Type const type.
func PossibleTypeValues() []Type {
	return []Type{TypeEventHub, TypeStorageAccount}
}

// WorkspaceEntityStatus enumerates the values for workspace entity status.
type WorkspaceEntityStatus string

const (
	// WorkspaceEntityStatusCanceled ...
	WorkspaceEntityStatusCanceled WorkspaceEntityStatus = "Canceled"
	// WorkspaceEntityStatusCreating ...
	WorkspaceEntityStatusCreating WorkspaceEntityStatus = "Creating"
	// WorkspaceEntityStatusDeleting ...
	WorkspaceEntityStatusDeleting WorkspaceEntityStatus = "Deleting"
	// WorkspaceEntityStatusFailed ...
	WorkspaceEntityStatusFailed WorkspaceEntityStatus = "Failed"
	// WorkspaceEntityStatusProvisioningAccount ...
	WorkspaceEntityStatusProvisioningAccount WorkspaceEntityStatus = "ProvisioningAccount"
	// WorkspaceEntityStatusSucceeded ...
	WorkspaceEntityStatusSucceeded WorkspaceEntityStatus = "Succeeded"
	// WorkspaceEntityStatusUpdating ...
	WorkspaceEntityStatusUpdating WorkspaceEntityStatus = "Updating"
)

// PossibleWorkspaceEntityStatusValues returns an array of possible values for the WorkspaceEntityStatus const type.
func PossibleWorkspaceEntityStatusValues() []WorkspaceEntityStatus {
	return []WorkspaceEntityStatus{WorkspaceEntityStatusCanceled, WorkspaceEntityStatusCreating, WorkspaceEntityStatusDeleting, WorkspaceEntityStatusFailed, WorkspaceEntityStatusProvisioningAccount, WorkspaceEntityStatusSucceeded, WorkspaceEntityStatusUpdating}
}

// WorkspaceSkuNameEnum enumerates the values for workspace sku name enum.
type WorkspaceSkuNameEnum string

const (
	// WorkspaceSkuNameEnumCapacityReservation ...
	WorkspaceSkuNameEnumCapacityReservation WorkspaceSkuNameEnum = "CapacityReservation"
	// WorkspaceSkuNameEnumFree ...
	WorkspaceSkuNameEnumFree WorkspaceSkuNameEnum = "Free"
	// WorkspaceSkuNameEnumPerGB2018 ...
	WorkspaceSkuNameEnumPerGB2018 WorkspaceSkuNameEnum = "PerGB2018"
	// WorkspaceSkuNameEnumPerNode ...
	WorkspaceSkuNameEnumPerNode WorkspaceSkuNameEnum = "PerNode"
	// WorkspaceSkuNameEnumPremium ...
	WorkspaceSkuNameEnumPremium WorkspaceSkuNameEnum = "Premium"
	// WorkspaceSkuNameEnumStandalone ...
	WorkspaceSkuNameEnumStandalone WorkspaceSkuNameEnum = "Standalone"
	// WorkspaceSkuNameEnumStandard ...
	WorkspaceSkuNameEnumStandard WorkspaceSkuNameEnum = "Standard"
)

// PossibleWorkspaceSkuNameEnumValues returns an array of possible values for the WorkspaceSkuNameEnum const type.
func PossibleWorkspaceSkuNameEnumValues() []WorkspaceSkuNameEnum {
	return []WorkspaceSkuNameEnum{WorkspaceSkuNameEnumCapacityReservation, WorkspaceSkuNameEnumFree, WorkspaceSkuNameEnumPerGB2018, WorkspaceSkuNameEnumPerNode, WorkspaceSkuNameEnumPremium, WorkspaceSkuNameEnumStandalone, WorkspaceSkuNameEnumStandard}
}
